
function tc = sim_get2GTimeCourse(TR,onset,nscan,par);

tc = zeros(nscan,1); 

varon = par(7)*randn(size(onset));
on = onset + varon;
pm = ones(size(onset)) + par(9)*randn(size(onset));

for ii = 1:length(onset)
    
    if ii == 1
        t = inf;
    else
        t = TR*(onset(ii) - onset(ii-1));
    end

    p1 = par(1)*exp(-par(2)*t) + par(3);
    p6 = par(4)*exp(-par(5)*t) + par(6) + on(ii)*TR;
    m =  -exp(-par(8)*t) + pm(ii);
    
    from = ceil(p6/TR);
    time = from*TR-p6:TR:from*TR-p6+32;

    s = spm_hrf(TR,[p1 par(10) par(11) par(12) par(13) time(1) 32]);

    ind = from+1:from+length(s);
    ind = ind(find(ind>0&ind<nscan+1));
        
    tc(ind) = tc(ind) + m*s(ind-from);
    
end
