function tc = sim_getLogitTimeCourse(TR,onset,nscan,par)

tc = zeros(nscan,1); 

varon = par(11)*randn(size(onset));
pm = ones(size(onset)) + par(13)*randn(size(onset));
on = onset + varon/TR;

for ii = 1:length(on)
    
    if ii == 1
        t = inf;
    else
        t = TR*(on(ii) - on(ii-1));
    end
    
    p6 = par(9)*exp(-par(10)*t) + par(8) + on(ii)*TR;
    m =  -exp(-par(12)*t) + pm(ii);
      
    from = ceil(p6/TR);
    time = from*TR-p6:TR:from*TR-p6+32;
    
    s1 = logit((time-par(1))/par(2));
    s2 = -par(7)*logit((time-par(3))/par(4));
    s3 = (par(7)-1)*logit((time-par(5))/par(6));
    s = s1(:) + s2(:) + s3(:);
    
    ind = from+1:from+length(s);
    ind = ind(find(ind>0&ind<nscan+1));
        
    tc(ind) = tc(ind) + m*s(ind-from);
    
end

%%
function y = logit(x)
y = 1./(1+exp(-x));
