
function tc = sim_get2GTimeCourse(TR,onset,nscan,par);

tc = zeros(nscan,1); 

p6x = par(6)*ones(size(onset)) + par(7)*randn(size(onset));
pm = ones(size(onset)) + par(9)*randn(size(onset));

for ii = 1:length(onset)
    
    if ii == 1
        t = inf;
    else
        t = TR*(onset(ii) - onset(ii-1));
    end
    
    on = onset(ii) + p6x(ii)/TR;
    from = floor(on);
    dt = TR * (on-from);
    
    p1 = par(1)*exp(-par(2)*t) + par(3);
    p6 = par(4)*exp(-par(5)*t) + dt;
    m =  -exp(-par(8)*t) + pm(ii);
    
    tX = zeros(size(tc));
    tX(from + 1) = 1;
    ker = spm_hrf(TR,[p1 16 1 1 6 p6 32]);
    xtemp = m * conv(tX,ker);
    tc = tc + xtemp(1:nscan);
    
end
